/* This file is part of a Windows32 DLL Interface to:
   GNU gettext - internationalization aids
   Copyright (C) 1996, 1998 Free Software Foundation, Inc.

   This file was written by Franco Bez <franco.bez@gmx.de>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/* A very simple sample Program
   just pops up a MessageBox */

# include <windows.h>

// include the gettext headers 
#ifdef SAMPLE_SAFE_GETTEXT_DLL
# include "../src/safe_gettext_dll/safe_gettext_dll.h"
#else
# include <libintl.h>
#endif

// small makro for faster typing
#define _(String) gettext(String)

int WinMain(HINSTANCE hInst,HINSTANCE hPrev,char *cmdline,int cmdshow){
// Tell gettext to use current working directory as locale dir for sample
// if you don't tell "C:\\gnu\\share\\locale" is taken as a default
bindtextdomain("sample",".\\");

// Tell gettext to use the sample textdomain
textdomain("sample"); 

// just use _( ) to mark the strings to get translated

MessageBox(NULL,_("Hello World") , _("This is english ( default )"), MB_OK);

return 0;
}
