/* This file is part of a Windows32 DLL Interface to:
   GNU gettext - internationalization aids
   Copyright (C) 1996, 1998 Free Software Foundation, Inc.

   This file was written by Franco Bez <franco.bez@gmx.de>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

extern "C"{ /* THE REAL FUNCTIONS IN libintl.a */
extern char *gettext__ (const char *__msgid);
extern char *dgettext__ (const char *__domainname, const char *__msgid);
extern char *dcgettext__ (const char *__domainname, const char *__msgid, int __category);
extern char *textdomain__ (const char *__domainname);
extern char *bindtextdomain__ (const char *__domainname, const char *__dirname);

/* Now exporting the functions of gnu_gettext.dll */

__declspec(dllexport) char *gettext(const char *__msgid){
	return gettext__(__msgid);
}

__declspec(dllexport) char *dgettext(const char *__domainname,const char *__msgid){
	return dgettext__(__domainname,__msgid);
}

__declspec(dllexport) char *dcgettext(const char *__domainname,const char *__msgid, int __category){
	return dcgettext__(__domainname,__msgid,__category);
}

__declspec(dllexport) char *textdomain(const char *__domainname){
	return textdomain__ (__domainname);
}

__declspec(dllexport) char *bindtextdomain(const char *__domainname,const char *__dirname){
	return bindtextdomain__ (__domainname,__dirname);
}

} /* extern "C" */
